Fabric Operations Status - Get
패브릭 작업 상태를 가져옵니다.
패브릭에서 비동기 작업의 결과를 추적합니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataReplication/replicationFabrics/{fabricName}/operations/{operationId}?api-version=2021-02-16-preview
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
fabric
|
path | True |
string pattern: ^[a-zA-Z0-9]*$ |
패브릭 이름입니다. |
|
operation
|
path | True |
string minLength: 1 |
진행 중인 비동기 작업의 ID입니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string (uuid) |
대상 구독의 ID입니다. 값은 UUID여야 합니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
성공 |
|
| Other Status Codes |
오류 |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
FabricOperationsStatus_Get
샘플 요청
GET https://management.azure.com/subscriptions/930CEC23-4430-4513-B855-DBA237E2F3BF/resourceGroups/rgrecoveryservicesdatareplication/providers/Microsoft.DataReplication/replicationFabrics/wPR/operations/dvfwerv?api-version=2021-02-16-preview
샘플 응답
{
"id": "sf",
"name": "wzdasptnwlxgobklayoqapjcgcf",
"status": "plbnngzfppdram",
"startTime": "xuzwmfrhluafmwwsmzqxsytyehsh",
"endTime": "nauyrfh"
}
정의
| Name | Description |
|---|---|
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Operation |
작업 상태를 정의합니다. |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
OperationStatus
작업 상태를 정의합니다.
| Name | 형식 | Description |
|---|---|---|
| endTime |
string |
종료 시간을 가져오거나 설정합니다. |
| id |
string |
ID를 가져오거나 설정합니다. |
| name |
string |
작업 이름을 가져오거나 설정합니다. |
| startTime |
string |
시작 시간을 가져오거나 설정합니다. |
| status |
string |
작업의 상태를 가져오거나 설정합니다. ARM은 터미널 상태가 성공/실패/취소 중 하나가 될 것으로 예상합니다. 다른 모든 값은 작업이 여전히 실행 중임을 의미합니다. |